--- policycoreutils.2.0.po	2008-09-15 21:19:40.000000000 +0200
+++ policycoreutils.2.1.po	2008-09-15 21:25:38.000000000 +0200
@@ -10,7 +10,7 @@
 "Project-Id-Version: policycoreutils.HEAD.fr_modifié(1)\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2008-09-15 17:15+0000\n"
-"PO-Revision-Date: 2008-09-15 21:19+0100\n"
+"PO-Revision-Date: 2008-09-15 21:25+0100\n"
 "Last-Translator: Le Coz Florent <louizatakk@gmail.com>\n"
 "Language-Team: french <fedora-trans-fr@redhat.com>\n"
 "MIME-Version: 1.0\n"
@@ -579,22 +579,20 @@
 #: ../semanage/seobject.py:1016
 #: ../semanage/seobject.py:1098
 #: ../semanage/seobject.py:1148
-#, fuzzy
 msgid "Node Address is required"
-msgstr "Un numéro de port nécessaire"
+msgstr "L'adresse du nœud est requise"
 
 #: ../semanage/seobject.py:1019
 #: ../semanage/seobject.py:1101
 #: ../semanage/seobject.py:1151
-#, fuzzy
 msgid "Node Netmask is required"
-msgstr "Un numéro de port nécessaire"
+msgstr "Le masque de réseau du nœud est requis"
 
 #: ../semanage/seobject.py:1026
 #: ../semanage/seobject.py:1107
 #: ../semanage/seobject.py:1158
 msgid "Unknown or missing protocol"
-msgstr ""
+msgstr "Protocole inconnu ou manquant"
 
 #: ../semanage/seobject.py:1036
 #: ../semanage/seobject.py:1238
@@ -617,19 +615,19 @@
 #: ../semanage/seobject.py:1119
 #: ../semanage/seobject.py:1166
 #: ../semanage/seobject.py:1172
-#, fuzzy, python-format
+#, python-format
 msgid "Could not check if addr %s is defined"
-msgstr "Impossible de vérifier si le booléen %s est défini"
+msgstr "Impossible de vérifier si l'adresse %s est définie"
 
 #: ../semanage/seobject.py:1046
-#, fuzzy, python-format
+#, python-format
 msgid "Addr %s already defined"
-msgstr "Le port %s/%s est déjà défini"
+msgstr "L'adresse %s est déjà définie"
 
 #: ../semanage/seobject.py:1050
-#, fuzzy, python-format
+#, python-format
 msgid "Could not create addr for %s"
-msgstr "Impossible de créer une clef pour %s"
+msgstr "Impossible de créer une adresse pour %s"
 
 #: ../semanage/seobject.py:1055
 #: ../semanage/seobject.py:1257
@@ -639,70 +637,69 @@
 msgstr "Impossible de créer le contexte pour %s"
 
 #: ../semanage/seobject.py:1059
-#, fuzzy, python-format
+#, python-format
 msgid "Could not set mask for %s"
-msgstr "Impossible de définir le nom pour %s"
+msgstr "Impossible de définir le masque pour %s"
 
 #: ../semanage/seobject.py:1064
-#, fuzzy, python-format
+#, python-format
 msgid "Could not set user in addr context for %s"
-msgstr "Impossible de définir l'utilisateur dans le contexte du fichier pour %s"
+msgstr "Impossible de définir l'utilisateur dans le contexte de l'adresse pour %s"
 
 #: ../semanage/seobject.py:1068
-#, fuzzy, python-format
+#, python-format
 msgid "Could not set role in addr context for %s"
-msgstr "Impossible de définir le rôle dans le contexte du fichier pour %s"
+msgstr "Impossible de définir le rôle dans le contexte de l'adresse pour %s"
 
 #: ../semanage/seobject.py:1072
-#, fuzzy, python-format
+#, python-format
 msgid "Could not set type in addr context for %s"
-msgstr "Impossible de définir le type dans le contexte du fichier pour %s"
+msgstr "Impossible de définir le type dans le contexte de l'adresse pour %s"
 
 #: ../semanage/seobject.py:1077
-#, fuzzy, python-format
+#, python-format
 msgid "Could not set mls fields in addr context for %s"
-msgstr "Impossible de définir les champs MLS dans le contexte du fichier pour %s"
+msgstr "Impossible de définir les champs MLS dans le contexte de l'adresse pour %s"
 
 #: ../semanage/seobject.py:1081
-#, fuzzy, python-format
+#, python-format
 msgid "Could not set addr context for %s"
-msgstr "Impossible de définir le contexte du fichier %s"
+msgstr "Impossible de définir le contexte de l'adresse pour %s"
 
 #: ../semanage/seobject.py:1085
-#, fuzzy, python-format
+#, python-format
 msgid "Could not add addr %s"
-msgstr "Impossible d'ajouter le port %s/%s"
+msgstr "Impossible d'ajouter l'adresse %s"
 
 #: ../semanage/seobject.py:1121
 #: ../semanage/seobject.py:1168
-#, fuzzy, python-format
+#, python-format
 msgid "Addr %s is not defined"
-msgstr "Le port %s/%s n'est pas défini"
+msgstr "L'adresse %s n'est pas définie"
 
 #: ../semanage/seobject.py:1125
-#, fuzzy, python-format
+#, python-format
 msgid "Could not query addr %s"
-msgstr "Impossible d'interroger le port %s/%s"
+msgstr "Impossible d'interroger l'adresse %s"
 
 #: ../semanage/seobject.py:1136
-#, fuzzy, python-format
+#, python-format
 msgid "Could not modify addr %s"
-msgstr "Impossible de modifier les booléens %s"
+msgstr "Impossible de modifier l'adresse %s"
 
 #: ../semanage/seobject.py:1174
-#, fuzzy, python-format
+#, python-format
 msgid "Addr %s is defined in policy, cannot be deleted"
-msgstr "Le port %s/%s est défini dans la stratégie, il ne peut être supprimé"
+msgstr "L'adresse %s est définie dans la stratégie, elle ne peut être supprimée"
 
 #: ../semanage/seobject.py:1178
-#, fuzzy, python-format
+#, python-format
 msgid "Could not delete addr %s"
-msgstr "Impossible de supprimer %s"
+msgstr "Impossible de supprimer l'adresse %s"
 
 #: ../semanage/seobject.py:1194
-#, fuzzy
 msgid "Could not list addrs"
-msgstr "Impossible d'énumérer les ports"
+msgstr "Impossible d'énumérer les adresses"
 
 #: ../semanage/seobject.py:1246
 #: ../semanage/seobject.py:1307
@@ -930,7 +927,7 @@
 msgstr "Vous devez spécifier une des valeurs suivantes : %s"
 
 #: ../semanage/seobject.py:1651
-#, fuzzy, python-format
+#, python-format
 msgid "Could not set active value of boolean %s"
 msgstr "Impossible de définir une valeur active du booléen %s"
 
@@ -1911,9 +1908,9 @@
 msgstr "Configurer SELinux"
 
 #: ../gui/polgen.py:163
-#, fuzzy, python-format
+#, python-format
 msgid "Ports must be numbers or ranges of numbers from 1 to %d "
-msgstr "Les ports doivent être des numéros ou des plages compris entre 1 et %d "
+msgstr "Les ports doivent être des nombres ou des plages de nombres compris entre 1 et %d "
 
 #: ../gui/polgen.py:192
 msgid "You must enter a name for your confined process/user"
@@ -1932,7 +1929,6 @@
 msgstr "« use_syslog » doit avoir une valeur booléenne "
 
 #: ../gui/polgen.py:315
-#, fuzzy
 msgid "USER Types automatically get a tmp type"
 msgstr "Les types USER obtiennent automatiquement un type tmp"
 
@@ -1941,7 +1937,6 @@
 msgstr "Vous devez spécifier le chemin d'accès à l'exécutable pour votre processus confiné"
 
 #: ../gui/polgen.py:830
-#, fuzzy
 msgid "Type Enforcement file"
 msgstr "Fichier de types applicables"
 