--- system-config-printer (copie).trunk.fr.po	2008-02-19 19:41:55.000000000 +0100
+++ system-config-printer (autre copie).trunk.fr.josselin.po	2008-02-25 22:08:48.000000000 +0100
@@ -1,4 +1,4 @@
-# translation of system-config-printer (copie).trunk.po to Français
+# translation of system-config-printer (autre copie).trunk.fr.josselin.po to Français
 # translation of system-config-printer to French
 # Copyright (C) 2003--2007, 2008 Free Software Foundation, Inc.
 #
@@ -15,10 +15,10 @@
 # Jonathan Ernst <jonathan@ernstfamily.ch>, 2007.
 msgid ""
 msgstr ""
-"Project-Id-Version: system-config-printer (copie).trunk\n"
+"Project-Id-Version: system-config-printer (autre copie).trunk.fr.josselin\n"
 "Report-Msgid-Bugs-To: https://bugzilla.redhat.com/bugzilla\n"
 "POT-Creation-Date: 2008-02-07 09:50-0700\n"
-"PO-Revision-Date: 2008-02-17 12:48+0100\n"
+"PO-Revision-Date: 2008-02-25 22:08+0100\n"
 "Last-Translator: Thomas Canniot <mrtom@fedoraproject.org>\n"
 "Language-Team: Français <fedora-trans-fr@redhat.com>\n"
 "MIME-Version: 1.0\n"
@@ -128,7 +128,7 @@
 
 #: ../system-config-printer.py:561 ../system-config-printer.py:1273
 msgid "Not connected"
-msgstr "Pas connecté(e)"
+msgstr "Non connecté(e)"
 
 #: ../system-config-printer.py:672
 msgid "Local Printers"
@@ -157,7 +157,7 @@
 
 #: ../system-config-printer.py:1202
 msgid "Installable Options"
-msgstr "Options installables"
+msgstr "Extensions de l'imprimante"
 
 #: ../system-config-printer.py:1203 ../system-config-printer.glade.h:209
 msgid "Printer Options"
@@ -223,7 +223,7 @@
 #: ../system-config-printer.py:1275
 #, python-format
 msgid "status %d"
-msgstr "statut de %d"
+msgstr "état de %d"
 
 #: ../system-config-printer.py:1279
 #, python-format
@@ -263,7 +263,7 @@
 #: ../system-config-printer.py:1553
 #, python-format
 msgid "Maintenance command submitted as job %d"
-msgstr "Commande de maintenance soumise comme tâche %d"
+msgstr "Commande de maintenance soumise comme tâche d'impression %d"
 
 #: ../system-config-printer.py:1649 ../system-config-printer.py:1791
 msgid "Error"
@@ -284,7 +284,7 @@
 #: ../system-config-printer.py:1792
 #, python-format
 msgid "Option '%s' has value '%s' and cannot be edited."
-msgstr "L'option « %s » a comme valeur « %s » est ne peut pas être éditée."
+msgstr "L'option « %s » a pour valeur « %s » et ne peut pas être modifiée."
 
 #: ../system-config-printer.py:1832
 msgid "Cancel Tests"
@@ -299,12 +299,12 @@
 #: ../system-config-printer.py:2066
 #, python-format
 msgid "Really delete printer %s?"
-msgstr "Voulez-vous réellement effacer %s ?"
+msgstr "Voulez-vous réellement supprimer l'imprimante %s ?"
 
 #: ../system-config-printer.py:2068
 #, python-format
 msgid "Really delete class %s?"
-msgstr "Voulez-vous réellement effacer %s ?"
+msgstr "Voulez-vous réellement supprimer la classe %s ?"
 
 #. SMB list columns
 #: ../system-config-printer.py:2345
@@ -318,7 +318,7 @@
 #. IPP list columns
 #: ../system-config-printer.py:2367
 msgid "Queue"
-msgstr "File d'attente"
+msgstr "File"
 
 #: ../system-config-printer.py:2381
 msgid ""
@@ -376,7 +376,7 @@
 
 #: ../system-config-printer.py:3188 ../system-config-printer.py:3449
 msgid "Scanning..."
-msgstr "Scanne en cours"
+msgstr "Analyse..."
 
 #: ../system-config-printer.py:3360 ../system-config-printer.py:3427
 msgid "Verified"
@@ -462,11 +462,11 @@
 
 #: ../system-config-printer.py:3998
 msgid "None"
-msgstr "Aucun"
+msgstr "Aucune"
 
 #: ../system-config-printer.py:4006
 msgid "Not specified."
-msgstr "No spécifié."
+msgstr "Non spécifié."
 
 #. Foomatic database problem of some sort.
 #: ../system-config-printer.py:4033
@@ -504,11 +504,11 @@
 
 #: ../system-config-printer.py:4065
 msgid "Support for downloadable drivers is not yet completed."
-msgstr "La prise en charge des pilotes téléchargeables n'est pas encore terminé."
+msgstr "La prise en charge des pilotes téléchargeables n'est pas encore achevée."
 
 #: ../system-config-printer.py:4115 ../system-config-printer.py:4152
 msgid "No Installable Options"
-msgstr "Aucune option installable"
+msgstr "Aucune extension disponible"
 
 #: ../system-config-printer.py:4199
 msgid "Adding"
@@ -545,16 +545,16 @@
 "To start this tool, select System->Administration->Printing from the main "
 "menu."
 msgstr ""
-"Pour démarrer ce logiciel, choisissez Système -> Administration -> Impression "
-" depuis le menu principal."
+"Pour démarrer cet outil, choisissez Système -> Administration -> Impression "
+"depuis le menu principal."
 
 #: ../troubleshoot.py:52
 msgid "Printing troubleshooter"
-msgstr "Dépanneur de l'impression"
+msgstr "Dépanneur d'impression"
 
 #: ../troubleshoot.py:349
 msgid "Trouble-shooting Printing"
-msgstr "Dépannage de l'impression"
+msgstr "Dépannage des problèmes d'impression"
 
 #: ../troubleshoot.py:351
 msgid ""
@@ -562,11 +562,11 @@
 "with printing. Based on your answers I will try to suggest a solution."
 msgstr ""
 "Dans les écrans suivants, des questions relatives à vos problèmes d'impression "
-"vont vous être posées. Une solution vos sera proposée en s'appuyant sur vos réponses."
+"vont vous être posées. Une solution vous sera suggérée d'après vos réponses."
 
 #: ../troubleshoot.py:355
 msgid "Click 'Forward' to begin."
-msgstr "Cliquez sur « Suivant » pour continuer/"
+msgstr "Cliquez sur « Suivant » pour commencer."
 
 #: ../troubleshoot.py:366
 msgid "Sorry!"
@@ -578,27 +578,27 @@
 "some useful information to put in a bug report."
 msgstr ""
 "Impossible de trouver le problème, mais des informations utiles ont pu être "
-"collectées afin de compléter un rapport de bug."
+"collectées afin de rédiger un rapport de bug."
 
 #: ../troubleshoot.py:436
 msgid "Queue Not Accepting Jobs"
-msgstr "La file d'attente n'accepte pas les tâches d'impression"
+msgstr "La file d'attente n'accepte pas de tâches d'impression"
 
 #: ../troubleshoot.py:437
 msgid "The CUPS printer on the server is not accepting jobs."
-msgstr "L'imprimante CUPS du serveur n'accepte pas de tâche d'impression."
+msgstr "L'imprimante CUPS du serveur n'accepte pas de tâches d'impression."
 
 #: ../troubleshoot.py:461 ../troubleshoot.py:1161
 msgid "Queue Not Enabled"
-msgstr "File d'attente désactivée"
+msgstr "File désactivée"
 
 #: ../troubleshoot.py:462
 msgid "The CUPS printer on the server is not enabled."
-msgstr "L'imprimante CUPS du serveur n'est pas activée."
+msgstr "L'imprimante CUPS du serveur est désactivée."
 
 #: ../troubleshoot.py:483
 msgid "Queue Not Shared"
-msgstr "File d'attente non partagée"
+msgstr "File non partagée"
 
 #: ../troubleshoot.py:484
 msgid "The CUPS printer on the server is not shared."
@@ -613,8 +613,8 @@
 "Please select the network printer you are trying to use from the list below. "
 "If it does not appear in the list, select 'Not listed'."
 msgstr ""
-"Veuillez choisir le réseau d'impression que vous essayez d'utiliser dans la liste ci-dessous. "
-"S'il n'apparaît pas dans la liste, choisissez « Non listé(e) »."
+"Veuillez sélectionner l'imprimante réseau que vous essayez d'utiliser dans la liste ci-dessous. "
+"Si elle ne figure pas dans la liste, choisissez « Non listée »."
 
 #: ../troubleshoot.py:524 ../troubleshoot.py:1227
 msgid "Name"
@@ -622,11 +622,11 @@
 
 #: ../troubleshoot.py:528 ../troubleshoot.py:1231
 msgid "Information"
-msgstr "Information"
+msgstr "Informations"
 
 #: ../troubleshoot.py:561 ../troubleshoot.py:1255
 msgid "Not listed"
-msgstr "Non listé(e)"
+msgstr "Non listée"
 
 #: ../troubleshoot.py:708
 msgid "Remote Address"
@@ -636,7 +636,7 @@
 msgid ""
 "Please enter as many details as you can about the network address of this "
 "printer."
-msgstr "Veuillez fournir le plus d'informations possible pour l'adresse réseau de cette imprimante."
+msgstr "Veuillez fournir le plus d'informations possibles pour l'adresse réseau de cette imprimante."
 
 #: ../troubleshoot.py:717
 msgid "Server name:"
@@ -656,7 +656,7 @@
 
 #: ../troubleshoot.py:744
 msgid "Locally connected printer"
-msgstr "Imprimante connectée en local"
+msgstr "Imprimante connectée localement"
 
 #: ../troubleshoot.py:745
 msgid "Network printer"
@@ -673,9 +673,9 @@
 "choose System->Administration->Services from the main menu and look for the "
 "`cups' service."
 msgstr ""
-"Le spooler de l'imprimante CUPS ne semble pas être actif. Pour corriger le "
-"problème, rendez-vous dans Système -> Administration -> Services depuis "
-"le menu principal et cherchez le services « cups »."
+"Le démon d'impression CUPS semble ne pas être en cours d'exécution. Pour "
+"l'activer, veuillez sélectionner Système -> Administration -> Services dans le "
+"menu principal et recherchez le service « cups »."
 
 #: ../troubleshoot.py:787 ../applet.py:729
 msgid "Pending"
@@ -703,7 +703,7 @@
 
 #: ../troubleshoot.py:814
 msgid "Cancel All Jobs"
-msgstr "Annuler toutes les tâches"
+msgstr "Annuler toutes les tâches d'impression"
 
 #: ../troubleshoot.py:819 ../applet.py:184
 msgid "Job"
@@ -739,7 +739,7 @@
 
 #: ../troubleshoot.py:1035
 msgid "Printer's state message:"
-msgstr "Message d'information  de l'imprimante :"
+msgstr "Message d'information de l'imprimante :"
 
 #: ../troubleshoot.py:1043
 msgid "Printer's state reasons:"
@@ -747,12 +747,12 @@
 
 #: ../troubleshoot.py:1095
 msgid "Queue Rejecting Jobs"
-msgstr "La file d'attente n'accepte pas les tâches"
+msgstr "La file d'attente n'accepte pas les tâches d'impression"
 
 #: ../troubleshoot.py:1120
 #, python-format
 msgid "The queue `%s' is rejecting jobs."
-msgstr "La file d'attente « %s » n'accepte pas les tâches."
+msgstr "La file d'attente « %s » n'accepte pas les tâches d'impression."
 
 #: ../troubleshoot.py:1124
 #, python-format
@@ -764,8 +764,8 @@
 "To make the queue accept jobs, select the `Accepting Jobs' checkbox in the "
 "`Policies' tab for the printer in the printer administration tool."
 msgstr ""
-"Pour faire en sorte que la file d'attente accepte les tâches d'impression, cochez la "
-"case « Accepter les tâches d'impression » dans l'onglet « Politiques » de l'imprimante "
+"Pour que la file d'attente accepte les tâches d'impression, cochez la "
+"case « Accepter les tâches d'impression » dans l'onglet « Comportements » de l'imprimante "
 "depuis l'outil d'administration de l'impression."
 
 #: ../troubleshoot.py:1162
@@ -778,7 +778,7 @@
 "To enable it, select the `Enabled' checkbox in the `Policies' tab for the "
 "printer in the printer administration tool."
 msgstr ""
-"Pour l'activer, cochez la case « Activé » dans l'onglet « Politiques » de "
+"Pour l'activer, cochez la case « Activée » dans l'onglet « Comportements » de "
 "l'imprimante depuis l'outil d'administration de l'impression."
 
 #: ../troubleshoot.py:1221
@@ -791,7 +791,7 @@
 "does not appear in the list, select 'Not listed'."
 msgstr ""
 "Veuillez choisir l'imprimante que vous essayez d'utiliser dans la liste ci-dessous. "
-"S'il n'apparaît pas dans la liste, choisissez « Non listé(e) »."
+"Si elle n'apparaît pas dans la liste, choisissez « Non listée »."
 
 #: ../system-config-printer.glade.h:1
 msgid " "
@@ -835,7 +835,7 @@
 
 #: ../system-config-printer.glade.h:13
 msgid "<b>Download Printer Driver</b>"
-msgstr "<b>Télécharger le pilote de l'imprimante>/b>"
+msgstr "<b>Télécharger le pilote de l'imprimante</b>"
 
 #: ../system-config-printer.glade.h:14
 msgid "<b>Enter device URI</b>"
@@ -851,11 +851,11 @@
 
 #: ../system-config-printer.glade.h:17
 msgid "<b>Installed Options</b>"
-msgstr "<b>Options installées</b>"
+msgstr "<b>Extensions installées</b>"
 
 #: ../system-config-printer.glade.h:18
 msgid "<b>License Terms</b>"
-msgstr "<b>Termes de la licence>/b>"
+msgstr "<b>Conditions de la licence</b>"
 
 #: ../system-config-printer.glade.h:19
 msgid "<b>Location of the LPD network printer</b>"
@@ -879,7 +879,7 @@
 
 #: ../system-config-printer.glade.h:24
 msgid "<b>Policies</b>"
-msgstr "<b>Politiques</b>"
+msgstr "<b>Comportements</b>"
 
 #: ../system-config-printer.glade.h:25
 msgid "<b>Printer Name</b>"
@@ -954,11 +954,11 @@
 
 #: ../system-config-printer.glade.h:44
 msgid "A CUPS configuration tool."
-msgstr "Un outil de configuration de CUPS."
+msgstr "Un outil de configuration pour CUPS."
 
 #: ../system-config-printer.glade.h:45
 msgid "Accepting jobs"
-msgstr "Accepter les tâches d'impression"
+msgstr "Accepte les tâches d'impression"
 
 #: ../system-config-printer.glade.h:46
 msgid "Access Control"
@@ -1037,7 +1037,7 @@
 
 #: ../system-config-printer.glade.h:65
 msgid "Connect to a different print server"
-msgstr "Se connecter à un serveur d'impression différent"
+msgstr "Se connecter à un autre serveur d'impression"
 
 #: ../system-config-printer.glade.h:66
 msgid "Connecting"
@@ -1062,7 +1062,7 @@
 
 #: ../system-config-printer.glade.h:73
 msgid "Copy this printer queue"
-msgstr "Cloner la file d'impression"
+msgstr "Cloner la file d'attente"
 
 #: ../system-config-printer.glade.h:74
 msgid "Copyright © 2006-2007 Red Hat, Inc."
@@ -1070,11 +1070,11 @@
 
 #: ../system-config-printer.glade.h:75
 msgid "Create a new printer group"
-msgstr "Créez un nouveau groupe d'imprimantes"
+msgstr "Créer un nouveau groupe d'imprimantes"
 
 #: ../system-config-printer.glade.h:76
 msgid "Create a new printer queue"
-msgstr "Créez une nouvelle file d'impression"
+msgstr "Créer une nouvelle file d'attente"
 
 #: ../system-config-printer.glade.h:77
 msgid "Data Bits"
@@ -1144,7 +1144,7 @@
 
 #: ../system-config-printer.glade.h:100
 msgid "Delete this printer queue"
-msgstr "Effacer la file d'attente de cette imprimante"
+msgstr "Supprimer cette file d'attente"
 
 #: ../system-config-printer.glade.h:101
 msgid "Deny printing for everyone except these users:"
@@ -1180,7 +1180,7 @@
 
 #: ../system-config-printer.glade.h:110
 msgid "Enabled"
-msgstr "Activé"
+msgstr "Activée"
 
 #: ../system-config-printer.glade.h:111
 msgid "Ending Banner:"
@@ -1188,7 +1188,7 @@
 
 #: ../system-config-printer.glade.h:112
 msgid "Enter some search terms for the model of your printer."
-msgstr "Entrez des mots pour recherchez le modèle de votre imprimante."
+msgstr "Entrez des termes pour rechercher le modèle de votre imprimante."
 
 #: ../system-config-printer.glade.h:113
 msgid "Error Policy: \t"
@@ -1196,7 +1196,7 @@
 
 #: ../system-config-printer.glade.h:114
 msgid "Find _Queue..."
-msgstr "Recherche de la _file d'attente..."
+msgstr "Trouver la _file d'attente..."
 
 #: ../system-config-printer.glade.h:115
 msgid "Finishings:"
@@ -1250,7 +1250,7 @@
 
 #: ../system-config-printer.glade.h:127
 msgid "Installed Options"
-msgstr "Options installées"
+msgstr "Extensions installées"
 
 #: ../system-config-printer.glade.h:128
 msgid "Job Options"
@@ -1290,7 +1290,7 @@
 
 #: ../system-config-printer.glade.h:140
 msgid "License:"
-msgstr "License :"
+msgstr "Licence :"
 
 #: ../system-config-printer.glade.h:141
 msgid "Lines per inch:"
@@ -1298,7 +1298,7 @@
 
 #: ../system-config-printer.glade.h:142
 msgid "Local Driver"
-msgstr "Pilote locale"
+msgstr "Pilote local"
 
 #: ../system-config-printer.glade.h:143
 msgid "Location:"
@@ -1323,7 +1323,7 @@
 
 #: ../system-config-printer.glade.h:149
 msgid "Media:"
-msgstr "Média :"
+msgstr "Médium :"
 
 #: ../system-config-printer.glade.h:150
 msgid "Members"
@@ -1331,7 +1331,7 @@
 
 #: ../system-config-printer.glade.h:151
 msgid "Mirror"
-msgstr "Miroir :"
+msgstr "Miroir"
 
 #: ../system-config-printer.glade.h:152
 msgid "More"
@@ -1395,7 +1395,7 @@
 "Rognure\n"
 "Balle\n"
 "Créateur de livret\n"
-"Décalage de travaux\n"
+"Décalage de tâches\n"
 "Agrafe (en haut à gauche)\n"
 "Agrafe (en bas à gauche)\n"
 "Agrafe (en haut à droite)\n"
@@ -1453,7 +1453,7 @@
 
 #: ../system-config-printer.glade.h:197
 msgid "Policies"
-msgstr "Politiques"
+msgstr "Comportements"
 
 #: ../system-config-printer.glade.h:198
 msgid "Port number:"
@@ -1497,7 +1497,7 @@
 
 #: ../system-config-printer.glade.h:211
 msgid "Printer model:"
-msgstr "Modèle de l'imprimante :"
+msgstr "Modèle d'imprimante :"
 
 #: ../system-config-printer.glade.h:212
 msgid "Probe"
@@ -1509,15 +1509,15 @@
 
 #: ../system-config-printer.glade.h:214
 msgid "Queue:"
-msgstr "File d'attente :"
+msgstr "File :"
 
 #: ../system-config-printer.glade.h:215
 msgid "Refresh the list of printer queues"
-msgstr "Rafraîchir la liste des files d'attente d'impression"
+msgstr "Rafraîchir la liste des files d'attente"
 
 #: ../system-config-printer.glade.h:216
 msgid "Require encryption"
-msgstr "Cryptage requis"
+msgstr "Chiffrement requis"
 
 #: ../system-config-printer.glade.h:217
 msgid "Reset"
@@ -1549,7 +1549,7 @@
 
 #: ../system-config-printer.glade.h:224
 msgid "Save debugging information for troubleshooting"
-msgstr "Conserver les informations de déboggage pour un dépannage"
+msgstr "Conserver les informations de débogage pour un dépannage"
 
 #: ../system-config-printer.glade.h:225
 msgid "Scale to fit"
@@ -1565,7 +1565,7 @@
 
 #: ../system-config-printer.glade.h:228
 msgid "Search terms:"
-msgstr "Rechercher les termes :"
+msgstr "Termes de la recherche :"
 
 #: ../system-config-printer.glade.h:229
 msgid "Select A File"
@@ -1597,7 +1597,7 @@
 
 #: ../system-config-printer.glade.h:236
 msgid "Sides:"
-msgstr "Cotés :"
+msgstr "Côtés :"
 
 #: ../system-config-printer.glade.h:237
 msgid ""
@@ -1641,16 +1641,16 @@
 "be covered by their commercial support.  See the support and license terms "
 "of the driver's supplier."
 msgstr ""
-"Ces pilotes ne viennent pas du fournisseur de votre système d'exploitation et "
-"ne sont pas couverts par leur support commercial. Consultez les termes de la "
-"licence et du support du fournisseur de pilote."
+"Ces pilotes ne proviennent pas du fournisseur de votre système d'exploitation et "
+"ne sont pas couverts par leur support commercial. Consultez les conditions de la "
+"licence et du support du fournisseur du pilote."
 
 #: ../system-config-printer.glade.h:243
 msgid ""
 "This driver supports additional hardware that may be installed in the "
 "printer."
 msgstr ""
-"Ce pilote prend en charge du matériel additionnel qui peut être installé "
+"Ce pilote prend en charge des extensions matérielles qui peuvent être installées "
 "dans l'imprimante."
 
 #: ../system-config-printer.glade.h:244
@@ -1681,7 +1681,7 @@
 "Ave, Cambridge, MA 02139, USA."
 msgstr ""
 "Ce programme est un logiciel libre. Vous pouvez le redistribuer et/ou le "
-"modifier selon les termes de la licence GNU General Public License telle que "
+"modifier selon les conditions de la licence GNU General Public License telle que "
 "publiée par la Free Software Foundation, soit sous la version 2 de la "
 "licence, ou (selon votre bon vouloir) une version plus récente.\n"
 "\n"
@@ -1737,8 +1737,8 @@
 "With this choice no driver download will be performed. In the next steps a "
 "locally installed driver will be selected."
 msgstr ""
-"Par ce choix, aucun téléchargement de pilote ne sera effectué. Durant la "
-"prochaine étape, un pilote local sera sélectionné."
+"Par ce choix, aucun pilote ne sera téléchargé. Dans les étapes suivantes, "
+"un pilote installé localement sera sélectionné."
 
 #: ../system-config-printer.glade.h:259
 msgid "Word wrap"
@@ -1746,7 +1746,7 @@
 
 #: ../system-config-printer.glade.h:260
 msgid "Yes, I accept this license"
-msgstr "Oui, j'accepte la licence"
+msgstr "Oui, j'accepte cette licence"
 
 #: ../system-config-printer.glade.h:261
 msgid "_Do not apply"
@@ -1754,7 +1754,7 @@
 
 #: ../system-config-printer.glade.h:262
 msgid "_Edit"
-msgstr "É_dition"
+msgstr "_Édition"
 
 #: ../system-config-printer.glade.h:263 ../applet.glade.h:10
 msgid "_File"
@@ -1766,7 +1766,7 @@
 
 #: ../system-config-printer.glade.h:265
 msgid "_Help"
-msgstr "Aid_e"
+msgstr "_Aide"
 
 #: ../system-config-printer.glade.h:266
 msgid "_Install"
@@ -1811,11 +1811,21 @@
 #. TRANSLATORS: Replace this string with your names, one name per line.  Thank you very much for your effort on translating system-config-printer and all our other tools!
 #: ../system-config-printer.glade.h:277
 msgid "translator-credits"
-msgstr "Thomas Canniot"
+msgstr ""
+"Bettina De Monti\n"
+"Audrey Simons\n"
+"Stephane Raimbault\n"
+"Jean-Paul Aubry\n"
+"Thomas Canniot\n"
+"Damien Durand\n"
+"Fabien Decroux\n"
+"Alain Portal\n"
+"Jonathan Ernst\n"
+"Josselin Mouette"
 
 #: ../system-config-printer.desktop.in.h:1
 msgid "Configure printers"
-msgstr "Configurez les imprimantes"
+msgstr "Configurer les imprimantes"
 
 #: ../system-config-printer.desktop.in.h:2
 msgid "Printing"
@@ -1895,7 +1905,7 @@
 
 #: ../applet.py:96
 msgid "Not connected?"
-msgstr "Pas connecté(e) ?"
+msgstr "Non connecté(e) ?"
 
 #: ../applet.py:97
 #, python-format
@@ -2051,7 +2061,7 @@
 
 #: ../applet.glade.h:13
 msgid "_Refresh"
-msgstr "_Raffraîchir"
+msgstr "_Rafraîchir"
 
 #: ../applet.glade.h:14
 msgid "_Release"
@@ -2063,7 +2073,7 @@
 
 #: ../print-applet.desktop.in.h:1
 msgid "Print Queue Applet"
-msgstr "Applet de file d'impression"
+msgstr "Applet de file d'attente d'impression"
 
 #: ../print-applet.desktop.in.h:2
 msgid "System tray icon for managing print jobs"
@@ -2075,7 +2085,7 @@
 
 #: ../manage-print-jobs.desktop.in.h:2
 msgid "Manage Print Jobs"
-msgstr "Gèrer les tâches d'impression"
+msgstr "Gérer les tâches d'impression"
 
 #: ../my-default-printer.desktop.in.h:2
 msgid "Select default printer"