--- initscripts_2.po	2008-03-26 19:47:58.000000000 +0100
+++ initscripts_3.po	2008-03-29 21:02:54.000000000 +0100
@@ -1,4 +1,4 @@
-# translation of initscripts_2.po to Français
+# translation of initscripts_3.po to Français
 # Audrey Simons <asimons@redhat.com>, 2003, 2004, 2006.
 # Damien Durand <splinux@fedoraproject.org>, 2006.
 # Alain PORTAL <aportal@univ-montp2.fr>, 2007.
@@ -7,9 +7,9 @@
 # translation of initscripts.HEAD.po to
 msgid ""
 msgstr ""
-"Project-Id-Version: initscripts_2\n"
+"Project-Id-Version: initscripts_3\n"
 "POT-Creation-Date: \n"
-"PO-Revision-Date: 2008-03-26 19:47+0100\n"
+"PO-Revision-Date: 2008-03-29 21:02+0100\n"
 "Last-Translator: Thomas Canniot <mrtom@fedoraproject.org>\n"
 "Language-Team: Français <fedora-trans-fr@redhat.com>\n"
 "MIME-Version: 1.0\n"
@@ -80,7 +80,7 @@
 "'$tunnelmtu', ignored"
 msgstr ""
 "Attention : la MTU « $IPV6TO4_MTU » configurée pour 6to4 dépasse la limite "
-"maximum de « $tunnelmtu », ignoré"
+"maximum de « $tunnelmtu », opération ignorée"
 
 # /etc/rc.d/init.d/functions:280
 #: /etc/rc.d/init.d/tclhttpd:51
@@ -122,7 +122,7 @@
 # /etc/rc.d/init.d/gpm:21
 #: /etc/rc.d/init.d/gpm:22
 msgid "Starting console mouse services: "
-msgstr "Démarrage des services de souris de la console : "
+msgstr "Démarrage des services de souris pour la console : "
 
 # /etc/rc.d/init.d/ypbind:65
 #: /etc/rc.d/init.d/rdisc:46
@@ -204,7 +204,7 @@
 # /etc/rc.d/init.d/halt:137 /etc/rc.d/init.d/netfs:55
 #: /etc/rc.d/init.d/functions:132
 msgid "Unmounting loopback filesystems (retry):"
-msgstr "Démontage des systèmes de fichiers loopback (autre essai) : "
+msgstr "Démontage des systèmes de fichiers loopback (nouvel essai) : "
 
 # /etc/rc.d/init.d/apmd:26
 #: /etc/rc.d/init.d/xend:34
@@ -335,11 +335,11 @@
 # /etc/rc.d/init.d/ypbind:65
 #: /etc/rc.d/init.d/ypbind:127
 msgid "Shutting down NIS service: "
-msgstr "Arrêt des services NIS : "
+msgstr "Arrêt du service NIS : "
 
 #: /etc/rc.d/init.d/arptables_jf:65
 msgid "Flushing all current rules and user defined chains:"
-msgstr "Suppression de toutes les règles et des chaînes définies par l'utilisateur : "
+msgstr "Suppression de toutes les règles courantes et des chaînes définies par l'utilisateur : "
 
 # /etc/rc.d/init.d/iscsi:102 /etc/rc.d/init.d/rawdevices:77
 # /etc/rc.d/init.d/rstatd:63 /etc/rc.d/init.d/rusersd:66
@@ -361,7 +361,7 @@
 # /etc/rc.d/init.d/ypxfrd:22
 #: /etc/rc.d/init.d/iscsi:25
 msgid "Setting up iSCSI targets: "
-msgstr "Démarrage des cibles iSCSI : "
+msgstr "Configuration des cibles iSCSI : "
 
 # /etc/rc.d/init.d/FreeWnn:43 /etc/rc.d/init.d/bgpd:33
 # /etc/rc.d/init.d/dhcpd:38 /etc/rc.d/init.d/irda:28 /etc/rc.d/init.d/ntpd:43
@@ -391,7 +391,7 @@
 # /etc/rc.d/init.d/syslog:44
 #: /etc/rc.d/init.d/rsyslog:45
 msgid "Shutting down system logger: "
-msgstr "Arrêt de l'enregistreur chronologique du système : "
+msgstr "Arrêt de l'enregistreur de journaux du système : "
 
 # /etc/rc.d/init.d/functions:289
 #: /etc/rc.d/init.d/tclhttpd:60
@@ -836,12 +836,12 @@
 
 #: /etc/sysconfig/network-scripts/ifup:81
 msgid "PHYSDEV should be set for device ${DEVICE}"
-msgstr "PHYSDEV devrait être paramétré pour le périphérique ${DEVICE}"
+msgstr "PHYSDEV devrait être paramétré pour ${DEVICE}"
 
 # /etc/rc.d/init.d/ypxfrd:31
 #: /etc/rc.d/init.d/liquidwar-server:54
 msgid "Stopping liquidwar game server: "
-msgstr "Arrêt du serveur de jeux liquidwar : "
+msgstr "Arrêt du serveur de jeu liquidwar : "
 
 # /etc/rc.d/init.d/FreeWnn:32 /etc/rc.d/init.d/amd:30
 # /etc/rc.d/init.d/anacron:15 /etc/rc.d/init.d/arpwatch:28
@@ -878,7 +878,7 @@
 # /etc/rc.d/rc.sysinit:571
 #: /etc/rc.d/init.d/psacct:22
 msgid "Starting process accounting: "
-msgstr "Activation de la gestion des processus : "
+msgstr "Démarrage de la gestion des processus : "
 
 #: /etc/rc.d/init.d/readahead_early:51 /etc/rc.d/init.d/readahead_later:49
 msgid "customized): "
@@ -897,7 +897,7 @@
 # /etc/rc.d/init.d/iptables:157
 #: /etc/rc.d/init.d/ip6tables:246
 msgid "${IP6TABLES}: Saving firewall rules to $IP6TABLES_DATA: "
-msgstr "${IP6TABLES} : Sauvegarde des règles de pare-feu dans $IP6TABLES_DATA : "
+msgstr "${IP6TABLES} : Sauvegarde des règles du pare-feu dans $IP6TABLES_DATA : "
 
 # /etc/rc.d/init.d/FreeWnn:43 /etc/rc.d/init.d/bgpd:33
 # /etc/rc.d/init.d/dhcpd:38 /etc/rc.d/init.d/irda:28 /etc/rc.d/init.d/ntpd:43
@@ -947,7 +947,7 @@
 # /etc/rc.d/init.d/netfs:97
 #: /etc/rc.d/init.d/gfs2:44
 msgid "Unmounting GFS2 filesystems (lazy): "
-msgstr "Démontage des systèmes de fichiers GFS2 (lazy) : "
+msgstr "Démontage des systèmes de fichiers GFS2 (lent) : "
 
 #: /etc/rc.d/init.d/gkrellmd:69 /etc/rc.d/init.d/hddtemp:79
 #: /etc/rc.d/init.d/vdr:86
@@ -1058,7 +1058,7 @@
 
 #: /etc/rc.d/rc.sysinit:697
 msgid "Starting disk encryption using the RNG:"
-msgstr "Démarrage du chiffrage disque utilisant le RNG : "
+msgstr "Démarrage du chiffrement du disque utilisant le RNG : "
 
 # /etc/rc.d/init.d/halt:163
 #: /etc/rc.d/init.d/halt:161
@@ -1136,7 +1136,7 @@
 # /etc/rc.d/init.d/syslog:30
 #: /etc/rc.d/init.d/rsyslog:37
 msgid "Starting system logger: "
-msgstr "Démarrage de l'enregistreur chronologique du système : "
+msgstr "Démarrage de l'enregistreur de journaux du système : "
 
 # /etc/sysconfig/network-scripts/ifup-ipv6:99
 #: /etc/sysconfig/network-scripts/ifup-ipv6:117
@@ -1166,7 +1166,7 @@
 # /etc/rc.d/init.d/crond:51
 #: /etc/rc.d/init.d/httpd:76
 msgid "not reloading due to configuration syntax error"
-msgstr "Pas de rechargement à cause d'une erreur de syntaxe dans la configuration"
+msgstr "pas de rechargement à cause d'une erreur de syntaxe dans la configuration"
 
 #: /etc/rc.d/init.d/vblade:29
 msgid "$4 (e$2.$3@$1) [pid $pid]"
@@ -1175,7 +1175,7 @@
 # /etc/rc.d/init.d/xfs:81
 #: /etc/rc.d/init.d/auditd:121
 msgid "Resuming logging: "
-msgstr "Reprise de la connexion :"
+msgstr "Reprise de l'écriture du journal :"
 
 # /etc/rc.d/init.d/network:175
 #: /etc/rc.d/init.d/network:246
@@ -1269,7 +1269,7 @@
 
 #: /etc/rc.d/init.d/vdr:42
 msgid "Error: no valid $cfg found."
-msgstr "Erreur : aucun $cfg trouvé."
+msgstr "Erreur : aucun $cfg valide trouvé."
 
 # /etc/rc.d/init.d/postgresql:114
 #: /etc/rc.d/init.d/setroubleshoot:152
@@ -1549,7 +1549,7 @@
 # /etc/rc.d/init.d/apmd:26
 #: /etc/rc.d/init.d/tgtd:25
 msgid "Starting SCSI target daemon: "
-msgstr "Démarrage du démon cible iSCSI : "
+msgstr "Démarrage du démon cible SCSI : "
 
 # /etc/rc.d/init.d/iptables:157
 #: /etc/rc.d/init.d/arptables_jf:186 /etc/rc.d/init.d/arptables_jf:187
@@ -1559,7 +1559,7 @@
 # /etc/rc.d/init.d/apmd:26
 #: /etc/rc.d/init.d/tgtd:42
 msgid "Stopping SCSI target daemon: "
-msgstr "Arrêt du démon cible iSCSI : "
+msgstr "Arrêt du démon cible SCSI : "
 
 #: /etc/rc.d/init.d/named:202
 msgid "$named reload"
@@ -1649,7 +1649,7 @@
 # /etc/rc.d/init.d/ups:42
 #: /etc/rc.d/init.d/bttrack:33
 msgid "Starting BitTorrent tracker: "
-msgstr "Démarrage du moniteur BitTorrent : "
+msgstr "Démarrage de l'outil de suivi BitTorrent : "
 
 #: /etc/sysconfig/network-scripts/network-functions-ipv6:152
 msgid "ERROR: [ipv6_log] Cannot log to channel '$channel'"
@@ -1663,7 +1663,7 @@
 # /etc/rc.d/init.d/kadmin:54 /etc/rc.d/init.d/krb5kdc:44
 #: /etc/rc.d/init.d/kadmin:65 /etc/rc.d/init.d/krb5kdc:43
 msgid "Reopening $prog log file: "
-msgstr "Rechargement du fichier journal $prog : "
+msgstr "Réouverture du fichier journal $prog : "
 
 # /etc/rc.d/init.d/iptables:167
 #: /etc/rc.d/init.d/iptables:351
@@ -2149,7 +2149,7 @@
 # /etc/rc.d/init.d/netfs:133
 #: /etc/rc.d/init.d/netfs:145
 msgid "Active SMB mountpoints: "
-msgstr "Points de montage SMB activés : "
+msgstr "Points de montage SMB actifs : "
 
 # /etc/rc.d/init.d/kadmin:35
 #: /etc/rc.d/init.d/kadmin:43
@@ -2310,7 +2310,7 @@
 # /etc/rc.d/init.d/innd:33
 #: /etc/rc.d/init.d/pyicq-t:12
 msgid "Starting ICQ transport: "
-msgstr "Démarrage du portage ICQ : "
+msgstr "Démarrage de la passerelle ICQ : "
 
 # /etc/rc.d/init.d/FreeWnn:71 /etc/rc.d/init.d/bootparamd:69
 # /etc/rc.d/init.d/cWnn:70 /etc/rc.d/init.d/pcmcia:52
@@ -2354,7 +2354,7 @@
 # /etc/rc.d/init.d/apmd:26
 #: /etc/rc.d/init.d/blktapctrl:48
 msgid "Stoping xen blktapctrl daemon: "
-msgstr "Arrêt des démons xen blktapctrl : "
+msgstr "Arrêt du démon xen blktapctrl : "
 
 # /etc/rc.d/init.d/rusersd:35
 #: /etc/rc.d/init.d/rusersd:53
@@ -2494,7 +2494,7 @@
 # /etc/rc.d/init.d/apmd:26
 #: /etc/rc.d/init.d/zvbid:23
 msgid "Starting vbi proxy daemon: "
-msgstr "Démarrage du démon de proxi vbi : "
+msgstr "Démarrage du démon de proxy vbi : "
 
 # /etc/rc.d/init.d/arpwatch:60 /etc/rc.d/init.d/mcserv:60
 # /etc/rc.d/init.d/nscd:107 /etc/rc.d/init.d/portmap:94
@@ -2560,12 +2560,12 @@
 # /etc/rc.d/init.d/iptables:157
 #: /etc/rc.d/init.d/iptables:246
 msgid "${IPTABLES}: Saving firewall rules to $IPTABLES_DATA: "
-msgstr "${IPTABLES} : Sauvegarde des règles de pare-feu dans $IPTABLES_DATA : "
+msgstr "${IPTABLES} : Sauvegarde des règles du pare-feu dans $IPTABLES_DATA : "
 
 # /etc/rc.d/init.d/network:219
 #: /etc/rc.d/init.d/network:272
 msgid "Currently active devices:"
-msgstr "Périphériques couramment activés : "
+msgstr "Périphériques actuellement actifs : "
 
 # /etc/rc.d/init.d/network:175
 #: /etc/rc.d/init.d/network:233
@@ -2608,7 +2608,7 @@
 # /etc/rc.d/init.d/ypxfrd:31
 #: /etc/rc.d/init.d/wesnothd:54
 msgid "Stopping Wesnoth game server: "
-msgstr "Arrêt du serveur de jeux Wesnoth : "
+msgstr "Arrêt du serveur de jeu Wesnoth : "
 
 # /etc/rc.d/init.d/apmd:26
 #: /etc/rc.d/init.d/xenstored:49
@@ -2861,7 +2861,7 @@
 # /etc/rc.d/init.d/iptables:60
 #: /etc/rc.d/init.d/arptables_jf:90
 msgid "Applying arptables firewall rules: "
-msgstr "Application des règles de pare-feu arptables : "
+msgstr "Application des règles du pare-feu arptables : "
 
 # /etc/rc.d/init.d/keytable:22
 #: /etc/rc.d/init.d/isicom:20
@@ -2900,7 +2900,7 @@
 # /etc/rc.d/init.d/ipchains:60
 #: /etc/rc.d/init.d/ip6tables:98
 msgid "${IP6TABLES}: Flushing firewall rules: "
-msgstr "${IP6TABLES} : Suppression des règles de pare-feu : "
+msgstr "${IP6TABLES} : Suppression des règles du pare-feu : "
 
 # /etc/rc.d/init.d/netfs:99
 #: /etc/rc.d/init.d/gfs2:40
@@ -2919,7 +2919,7 @@
 
 #: /etc/sysconfig/network-scripts/ifup-sit:71
 msgid "Device '$DEVICE' is already up, please shutdown first"
-msgstr "Le périphérique « $DEVICE » est déjà activé. Arrêtez d'abord votre machine."
+msgstr "Le périphérique « $DEVICE » est déjà activé. Arrêtez le d'abord."
 
 # /etc/rc.d/init.d/FreeWnn:43 /etc/rc.d/init.d/bgpd:33
 # /etc/rc.d/init.d/dhcpd:38 /etc/rc.d/init.d/irda:28 /etc/rc.d/init.d/ntpd:43
@@ -3068,7 +3068,7 @@
 # /etc/rc.d/init.d/ypxfrd:22
 #: /etc/rc.d/init.d/crossfire:31
 msgid "Starting Crossfire game server: "
-msgstr "Démarrage du serveur de jeux Crossfire : "
+msgstr "Démarrage du serveur de jeu Crossfire : "
 
 #: /etc/rc.d/init.d/wine:37
 msgid "Unregistering binary handler for Windows applications: "
@@ -3080,7 +3080,7 @@
 
 #: /usr/sbin/sys-unconfig:6
 msgid "Usage: sys-unconfig"
-msgstr "Utilisation : sys-unconfig"
+msgstr "Syntaxe : sys-unconfig"
 
 #: /etc/rc.d/init.d/smolt:65
 msgid "Monthly smolt check-in is enabled."
@@ -3176,7 +3176,7 @@
 # /etc/rc.d/init.d/innd:73
 #: /etc/rc.d/init.d/radiusd:70
 msgid "Reloading RADIUS server: "
-msgstr "Rechargement du service RADIUS : "
+msgstr "Rechargement du serveur RADIUS : "
 
 # /etc/rc.d/init.d/named:32
 #: /etc/rc.d/init.d/ulogd:39
@@ -3186,7 +3186,7 @@
 # /etc/rc.d/init.d/network:175
 #: /etc/rc.d/init.d/bttrack:47
 msgid "Shutting down BitTorrent tracker: "
-msgstr "Arrêt du moniteur BitTorrent : "
+msgstr "Arrêt de l'outil de suivi BitTorrent : "
 
 # /etc/rc.d/rc.sysinit:275
 #: /etc/rc.d/rc.sysinit:552
@@ -3577,7 +3577,7 @@
 # /etc/rc.d/init.d/ipchains:60
 #: /etc/rc.d/init.d/iptables:98
 msgid "${IPTABLES}: Flushing firewall rules: "
-msgstr "${IPTABLES} : Suppression des règles de pare-feu : "
+msgstr "${IPTABLES} : Suppression des règles du pare-feu : "
 
 # /etc/rc.d/init.d/rhnsd:82 /etc/rc.d/init.d/snmpd:74
 # /etc/rc.d/init.d/xinetd:115
@@ -3679,7 +3679,7 @@
 
 #: /etc/rc.d/init.d/lirc:77
 msgid "Reloading infrared remote control daemon ($prog): "
-msgstr "Déchargement du démon infra-rouge à télécommande ($prog) : "
+msgstr "Rechargement du démon infra-rouge à télécommande ($prog) : "
 
 # /etc/rc.d/init.d/apmd:26
 #: /etc/rc.d/init.d/fail2ban:44
@@ -4217,7 +4217,7 @@
 # /etc/rc.d/init.d/halt:126
 #: /etc/rc.d/init.d/nfs:66
 msgid "Starting NFS quotas: "
-msgstr "Démarrage du quota NFS : "
+msgstr "Démarrage des quotas NFS : "
 
 # /etc/rc.d/init.d/crond:78 /etc/rc.d/init.d/krb5kdc:76
 # /etc/rc.d/init.d/squid:145
@@ -4227,7 +4227,7 @@
 
 #: /etc/rc.d/init.d/microcode_ctl:67
 msgid "$0: kernel does not have CPU microcode device support"
-msgstr "$0 : le noyau n'a pas de support pour les périphériques microcodes CPU"
+msgstr "$0 : le noyau ne prend pas en charge le microcode CPU"
 
 # /etc/rc.d/init.d/innd:42
 #: /etc/rc.d/init.d/sepostgresql:138
@@ -4354,7 +4354,7 @@
 # /etc/rc.d/init.d/ypxfrd:22
 #: /etc/rc.d/init.d/liquidwar-server:32
 msgid "Starting liquidwar game server: "
-msgstr "Démarrage du serveur de jeux liquidwar : "
+msgstr "Démarrage du serveur de jeu liquidwar : "
 
 # /etc/rc.d/init.d/innd:108 /etc/rc.d/init.d/kprop:67
 # /etc/rc.d/init.d/krb524:66 /etc/rc.d/init.d/postgresql:227
@@ -4461,7 +4461,7 @@
 # /etc/rc.d/init.d/ypxfrd:31
 #: /etc/rc.d/init.d/ypxfrd:31
 msgid "Stopping YP map server: "
-msgstr "Arrêt du serveur mappe YP : "
+msgstr "Arrêt du serveur map YP : "
 
 # /etc/rc.d/init.d/amd:39 /etc/rc.d/init.d/anacron:25
 # /etc/rc.d/init.d/arpwatch:35 /etc/rc.d/init.d/atd:39
@@ -4641,7 +4641,7 @@
 # /etc/rc.d/init.d/ypxfrd:22
 #: /etc/rc.d/init.d/wesnothd:32
 msgid "Starting Wesnoth game server: "
-msgstr "Démarrage du serveur de jeux Wesnoth : "
+msgstr "Démarrage du serveur de jeu Wesnoth : "
 
 # /etc/rc.d/init.d/nscd:67 /etc/rc.d/init.d/nscd:69
 #: /etc/rc.d/init.d/postfix:64
@@ -4665,7 +4665,7 @@
 # /etc/rc.d/rc.sysinit:647
 #: /etc/rc.d/rc.sysinit:807
 msgid "Enabling local swap partitions: "
-msgstr "Activation des partitions swap locale : "
+msgstr "Activation des partitions swap locales : "
 
 # /etc/sysconfig/network-scripts/ifup:205
 #: /etc/sysconfig/network-scripts/ifup-eth:243
@@ -4756,7 +4756,7 @@
 # /etc/rc.d/init.d/ypxfrd:22
 #: /etc/rc.d/init.d/xpilot-ng-server:31
 msgid "Starting Xpilot game server: "
-msgstr "Démarrage du serveur de jeux Xpilot : "
+msgstr "Démarrage du serveur de jeu Xpilot : "
 
 # /etc/rc.d/init.d/FreeWnn:32 /etc/rc.d/init.d/amd:30
 # /etc/rc.d/init.d/anacron:15 /etc/rc.d/init.d/arpwatch:28
@@ -5145,7 +5145,7 @@
 # /etc/rc.d/init.d/ypxfrd:31
 #: /etc/rc.d/init.d/crossfire:56
 msgid "Stopping Crossfire game server: "
-msgstr "Arrêt du serveur de jeux Crossfire : "
+msgstr "Arrêt du serveur de jeu Crossfire : "
 
 #: /etc/sysconfig/network-scripts/network-functions-ipv6:578
 msgid "Cannot add IPv6 address '$address' on dev '$device'"
@@ -5458,7 +5458,7 @@
 # /etc/rc.d/init.d/ypxfrd:31
 #: /etc/rc.d/init.d/xpilot-ng-server:57
 msgid "Stopping Xpilot game server: "
-msgstr "Arrêt du serveur de jeux Xpilot : "
+msgstr "Arrêt du serveur de jeu Xpilot : "
 
 # /etc/rc.d/init.d/kudzu:75 /etc/rc.d/init.d/linuxconf:29
 #: /etc/rc.d/init.d/blktapctrl:75 /etc/rc.d/init.d/xenstored:78
@@ -5488,7 +5488,7 @@
 
 #: /etc/sysconfig/network-scripts/network-functions-ipv6:1427
 msgid "Given IPv6 default device '$device' requires an explicit nexthop"
-msgstr "Le périphérique IPv6 fournit « $device » recquiert un nexthop explicite"
+msgstr "Le périphérique IPv6 fournit « $device » requiert un nexthop explicite"
 
 # /etc/rc.d/init.d/FreeWnn:32 /etc/rc.d/init.d/amd:30
 # /etc/rc.d/init.d/anacron:15 /etc/rc.d/init.d/arpwatch:28
@@ -5590,7 +5590,7 @@
 
 #: /etc/rc.d/init.d/setroubleshoot:113
 msgid "Cannot start $prog: SELinux not enabled"
-msgstr "Impossible de charger $prog : SELinux n'est pas activé"
+msgstr "Impossible de démarrer $prog : SELinux n'est pas activé"
 
 # /etc/rc.d/init.d/functions:280
 #: /etc/rc.d/init.d/functions:403
@@ -5653,7 +5653,7 @@
 # /etc/rc.d/init.d/xinetd:45 /etc/rc.d/init.d/zebra:24
 #: /etc/rc.d/init.d/openais:20
 msgid "Starting OpenAIS daemon ($prog): "
-msgstr "Démarrage du démon  OpenAIS ($prog) : "
+msgstr "Démarrage du démon OpenAIS ($prog) : "
 
 # /etc/rc.d/init.d/crond:51
 #: /etc/rc.d/init.d/smartd:83
@@ -5717,14 +5717,14 @@
 #: /etc/sysconfig/network-scripts/ifup:132
 msgid "WARNING: vconfig not able to disable REORDER_HDR on ${DEVICE}"
 msgstr ""
-"ATTENTION : vconfig n'a pas été en mesure de désactiver REORDER_HDR sur le "
-"périphérique ${DEVICE}"
+"ATTENTION : vconfig n'a pas été en mesure de désactiver REORDER_HDR "
+"sur ${DEVICE}"
 
 #: /etc/sysconfig/network-scripts/ifup-ipv6:147
 msgid "Cannot enable IPv6 privacy method '$IPV6_PRIVACY', not supported by kernel"
 msgstr ""
 "Impossible d'activer la méthode privée IPv6 « $IPV6_PRIVACY », non prise en "
-"chargepar le noyau"
+"charge par le noyau"
 
 # /etc/rc.d/init.d/apmd:26
 #: /etc/rc.d/init.d/iscsid:43
@@ -5786,7 +5786,7 @@
 # /etc/rc.d/init.d/network:189
 #: /etc/rc.d/init.d/network:251
 msgid "Disabling IPv4 packet forwarding: "
-msgstr "Désactivation de l'acheminement du paquet IPv4 : "
+msgstr "Désactivation de l'acheminement des paquets IPv4 : "
 
 # /etc/rc.d/init.d/amd:39 /etc/rc.d/init.d/anacron:25
 # /etc/rc.d/init.d/arpwatch:35 /etc/rc.d/init.d/atd:39
@@ -5840,7 +5840,7 @@
 # /etc/rc.d/init.d/apmd:26
 #: /etc/rc.d/init.d/zvbid:32
 msgid "Stopping vbi proxy daemon: "
-msgstr "Arrêt du démon de proxi vbi : "
+msgstr "Arrêt du démon de proxy vbi : "
 
 # /etc/rc.d/init.d/apmd:26
 #: /etc/rc.d/init.d/apmd:49
@@ -6133,7 +6133,7 @@
 # /etc/rc.d/init.d/syslog:30
 #: /etc/rc.d/init.d/sendmail:103
 msgid "reloading sm-client: "
-msgstr "Redémarrage de sm-client : "
+msgstr "redémarrage de sm-client : "
 
 #: /etc/rc.d/init.d/qemu:28
 msgid "Registering binary handler for qemu applications"
@@ -6210,7 +6210,7 @@
 # /etc/rc.d/init.d/iptables:60
 #: /etc/rc.d/init.d/ip6tables:183
 msgid "${IP6TABLES}: Applying firewall rules: "
-msgstr "${IP6TABLES} : Application des règles de pare-feu : "
+msgstr "${IP6TABLES} : Application des règles du pare-feu : "
 
 # /etc/rc.d/init.d/netfs:42
 #: /etc/rc.d/init.d/netfs:45
@@ -6288,5 +6288,5 @@
 # /etc/rc.d/init.d/apmd:36
 #: /etc/rc.d/init.d/audio-entropyd:28
 msgid "Shutting down Audio Entropy daemon: "
-msgstr "Arrêt du démon d'Entropie audio : "
+msgstr "Arrêt du démon d'Entropy audio : "
 