--- fr.po	2007-09-15 08:56:39.000000000 +0200
+++ fr2.po	2007-09-15 09:14:40.000000000 +0200
@@ -1,4 +1,4 @@
-# translation of fr.po to Français
+# translation of fr2.po to Français
 # translation of PACKAGE.
 # Copyright (C) 2006 THE PACKAGE'S COPYRIGHT HOLDER
 # This file is distributed under the same license as the PACKAGE package.
@@ -11,10 +11,10 @@
 # Thomas Canniot <mrtom@fedoraproject.org>, 2006, 2007.
 msgid ""
 msgstr ""
-"Project-Id-Version: fr\n"
+"Project-Id-Version: fr2\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2007-08-29 17:18-0400\n"
-"PO-Revision-Date: 2007-08-11 21:09+0200\n"
+"PO-Revision-Date: 2007-09-15 09:14+0200\n"
 "Last-Translator: Thomas Canniot <mrtom@fedoraproject.org>\n"
 "Language-Team: Français <fedora-trans-fr@redhat.com>\n"
 "MIME-Version: 1.0\n"
@@ -234,8 +234,7 @@
 
 #: ../data/puplet.desktop.in.h:1
 msgid "Receive notification of software updates being available."
-msgstr ""
-"Recevoir les notifications de mises à jour disponibles pour les logiciels."
+msgstr "Recevoir les notifications de mises à jour disponibles pour les logiciels."
 
 #: ../data/puplet.desktop.in.h:2
 msgid "Software Update Notifier"
@@ -258,42 +257,40 @@
 msgstr "_Voir les mises à jour..."
 
 #: ../data/RepositoryManager.glade.h:1
-#, fuzzy
 msgid "<b>Re_positories</b>"
-msgstr "_Dépôts"
+msgstr "<b>Dé_pôts</b>"
 
 #: ../data/RepositoryManager.glade.h:2
 msgid "<b>_Advanced</b>"
-msgstr ""
+msgstr "<b>_Avancé</b>"
 
 #: ../data/RepositoryManager.glade.h:3
 msgid "<b>_Description:\t\t</b>"
-msgstr ""
+msgstr "<b>_Description : \t\t</b>"
 
 #: ../data/RepositoryManager.glade.h:4
 msgid "<b>_GPG Key:</b>"
-msgstr ""
+msgstr "<b>Clé _GPG :</b>"
 
 #: ../data/RepositoryManager.glade.h:5
 msgid "<b>_Location:</b>"
-msgstr ""
+msgstr "<b>Emp_lacement:</b>"
 
 #: ../data/RepositoryManager.glade.h:6
 msgid "<b>_Mirror List:</b>"
-msgstr ""
+msgstr "<b>Liste de _miroirs :</b>"
 
 #: ../data/RepositoryManager.glade.h:7
 msgid "<b>_Name:</b>"
-msgstr ""
+msgstr "<b>_Nom :</b>"
 
 #: ../data/RepositoryManager.glade.h:8
 msgid "Add New Repository"
-msgstr ""
+msgstr "Ajouter un nouveau dépôt"
 
 #: ../data/RepositoryManager.glade.h:9
-#, fuzzy
 msgid "Repository Manager"
-msgstr "_Dépôts"
+msgstr "Gestionnaire de dépôts"
 
 #: ../data/single.glade.h:1
 msgid ""
@@ -318,10 +315,10 @@
 msgstr "Installateur de logiciels"
 
 #: ../pirut/DetailsDialog.py:141
-#, fuzzy, python-format
+#, python-format
 msgid "Will continue in %d second..."
 msgid_plural "Will continue in %d seconds..."
-msgstr[0] "<i>Continuera dans %d secondes...</i>"
+msgstr[0] "<i>Continuera dans %d seconde...</i>"
 msgstr[1] "<i>Continuera dans %d secondes...</i>"
 
 #: ../pirut/GroupSelector.py:170
@@ -330,16 +327,16 @@
 msgstr "Paquetages dans %s"
 
 #: ../pirut/GroupSelector.py:435
-#, fuzzy, python-format
+#, python-format
 msgid "%d of %d optional package selected"
 msgid_plural "%d of %d optional packages selected"
-msgstr[0] "<i>%d sur %d paquetages optionnels sélectionnés</i>"
-msgstr[1] "<i>%d sur %d paquetages optionnels sélectionnés</i>"
+msgstr[0] "%d sur %d paquetage optionnel sélectionné"
+msgstr[1] "%d sur %d paquetages optionnels sélectionnés"
 
 #: ../pirut/GroupSelector.py:438
 #, python-format
 msgid "<i>%s</i>"
-msgstr ""
+msgstr "<i>%s</i>"
 
 #: ../pirut/GroupSelector.py:498
 msgid "Uncategorized"
@@ -364,7 +361,6 @@
 msgstr "Récupération des informations sur les logiciels"
 
 #: ../pirut/__init__.py:286
-#, fuzzy
 msgid ""
 "Another application is currently running which is accessing software "
 "information."
@@ -373,31 +369,28 @@
 "logiciels."
 
 #: ../pirut/__init__.py:289
-#, fuzzy
 msgid "_Quit"
-msgstr "_Liste"
+msgstr "_Quitter"
 
 #: ../pirut/__init__.py:291
 msgid "_Retry"
-msgstr ""
+msgstr "_Réessayer"
 
 #: ../pirut/__init__.py:305
-#, fuzzy
 msgid "Cancel?"
-msgstr "_Annuler"
+msgstr "Annuler ?"
 
 #: ../pirut/__init__.py:306
 msgid "Software information is required to continue."
-msgstr ""
+msgstr "Les informations sur les logiciels sont nécessaires pour continuer."
 
 #: ../pirut/__init__.py:308
-#, fuzzy
 msgid "_Exit"
-msgstr "Quitter"
+msgstr "_Quitter"
 
 #: ../pirut/__init__.py:309
 msgid "_Continue retrieval"
-msgstr ""
+msgstr "_Réessayer à nouveau"
 
 #: ../pirut/__init__.py:324
 msgid "Unable to retrieve software information"
@@ -420,9 +413,8 @@
 msgstr "Téléchargement des paquetages"
 
 #: ../pirut/__init__.py:436
-#, fuzzy
 msgid "Download was cancelled."
-msgstr "Téléchargement des paquetages"
+msgstr "Le téléchargement a été annulé."
 
 #: ../pirut/__init__.py:438
 msgid "Unable to find a suitable mirror."
@@ -442,16 +434,14 @@
 
 #: ../pirut/__init__.py:481
 msgid "Errors were encountered while downloading package headers."
-msgstr ""
-"Des erreurs sont survenues lors du téléchargement des entêtes des paquetages."
+msgstr "Des erreurs sont survenues lors du téléchargement des entêtes des paquetages."
 
 #: ../pirut/__init__.py:494
 msgid "Error resolving dependencies"
 msgstr "Erreur lors de la résolution des dépendances"
 
 #: ../pirut/__init__.py:495
-msgid ""
-"Unable to resolve dependencies for some packages selected for installation."
+msgid "Unable to resolve dependencies for some packages selected for installation."
 msgstr ""
 "Impossible de résoudre les dépendances pour certains paquetages sélectionnés "
 "pour l'installation."
@@ -535,8 +525,7 @@
 msgstr "Erreur lors de la mise à jour de logiciels"
 
 #: ../pirut/__init__.py:632
-msgid ""
-"There were errors encountered in trying to update the software you selected"
+msgid "There were errors encountered in trying to update the software you selected"
 msgstr ""
 "Des erreurs sont survenues en essayant de mettre à jour les logiciels "
 "sélectionnés"
@@ -581,12 +570,12 @@
 
 #: ../pirut/__init__.py:745
 msgid "Unable to start due to a configuration error."
-msgstr "Une erreur de configuration empêche le démarrage du logiciel"
+msgstr "Une erreur de configuration empêche le démarrage du logiciel."
 
 #: ../pirut/Progress.py:151
 #, python-format
 msgid "Retrieving %s"
-msgstr ""
+msgstr "Nouvelle tentative pour %S"
 
 #: ../pirut/Progress.py:221
 msgid "Preparing transaction"
@@ -608,30 +597,30 @@
 
 #: ../pirut/RepoSelector.py:144
 msgid "Must provide a description for the repository."
-msgstr ""
+msgstr "Vous devez fournir un nom pour le dépôt."
 
 #: ../pirut/RepoSelector.py:155 ../pirut/RepoSelector.py:166
 msgid "Must provide either a location or a mirror list for the repository."
-msgstr ""
+msgstr "Vous devez indiquer un emplacement ou un mirroir pour le dépôt."
 
 #: ../pirut/RepoSelector.py:183
 msgid "Invalid URL"
-msgstr ""
+msgstr "URL invalide"
 
 #: ../pirut/RepoSelector.py:184
 msgid ""
 "Invalid URL given.  URLs must be begin with http://, https://, ftp://, or "
 "file://"
-msgstr ""
+msgstr "L'URL renseignée est erronée. Les URL doivent commencer par http://, https://, ftp://, ou file://"
 
 #: ../pirut/RepoSelector.py:198
 #, python-format
 msgid "Repository named %s already exists."
-msgstr ""
+msgstr "Un dépôt nommé %s existe déjà."
 
 #: ../pirut/RepoSelector.py:265 ../pirut/RepoSelector.py:285
 msgid "No repository selected"
-msgstr ""
+msgstr "Aucun dépôt n'a été sélectionné"
 
 #: ../cdinstaller.py:103 ../cdinstaller.py:110 ../cdinstaller.py:135
 msgid "Add/Remove Packages"
@@ -731,11 +720,11 @@
 msgstr "Mises à jour disponibles"
 
 #: ../puplet.py:259
-#, fuzzy, python-format
+#, python-format
 msgid "There is <b>%d</b> package update available."
 msgid_plural "There are <b>%d</b> package updates available."
-msgstr[0] "<b>%s</b> mise à jour est disponible."
-msgstr[1] "<b>%s</b> mise à jour est disponible."
+msgstr[0] "<b>%d</b> mise à jour est disponible."
+msgstr[1] "<b>%d</b> mise à jour sont disponibles."
 
 #: ../puplet.py:265
 msgid "Security Updates Available"
@@ -746,17 +735,17 @@
 msgstr "Voir les mises à jour..."
 
 #: ../puplet.py:277
-#, fuzzy, python-format
+#, python-format
 msgid "%d update available"
 msgid_plural "%d updates available"
-msgstr[0] "%s mise à jour disponible"
-msgstr[1] "%s mise à jour disponible"
+msgstr[0] "%d mise à jour disponible"
+msgstr[1] "%d mises à jour disponibles"
 
 #: ../puplet.py:292
-#, fuzzy, python-format
+#, python-format
 msgid "%d update successfully installed."
 msgid_plural "%d updates successfully installed."
-msgstr[0] "%d mises à jour installées avec succès."
+msgstr[0] "%d mise à jour installée avec succès."
 msgstr[1] "%d mises à jour installées avec succès."
 
 #: ../puplet.py:296
@@ -820,10 +809,10 @@
 msgstr "Mise à jour effectuée avec succès."
 
 #: ../pup.py:430
-#, fuzzy, python-format
+#, python-format
 msgid "Will reboot in %d second..."
 msgid_plural "Will reboot in %d seconds..."
-msgstr[0] "Redémarrage dans %d secondes..."
+msgstr[0] "Redémarrage dans %d seconde..."
 msgstr[1] "Redémarrage dans %d secondes..."
 
 #: ../pup.py:455
@@ -838,8 +827,7 @@
 #: ../single.py:143
 #, python-format
 msgid "Can't install a different arch of %s than already installed."
-msgstr ""
-"Impossible d'installer une autre architecture de %s que celle déjà installée."
+msgstr "Impossible d'installer une autre architecture de %s que celle déjà installée."
 
 #: ../single.py:181
 msgid "Parsing package install arguments"
@@ -856,18 +844,9 @@
 
 #: ../single.py:317
 msgid "Unable to install software.  Error opening files."
-msgstr ""
-"Échec lors de l'installation du logiciel. Impossible d'ouvrir les fichiers."
+msgstr "Échec lors de l'installation du logiciel. Impossible d'ouvrir les fichiers."
 
 #: ../single.py:326
 msgid "Software installed successfully."
 msgstr "Logiciel(s) installé(s) avec succès."
 
-#~ msgid "Downloading %s"
-#~ msgstr "Téléchargement de %s"
-
-#~ msgid "There are <b>%s</b> package updates available."
-#~ msgstr "<b>%s</b> mises à jour sont disponibles."
-
-#~ msgid "%s updates available"
-#~ msgstr "%s mises à jour disponibles"