commit c950fdcd4a8201826b27560a251abc90e5be0672
Author: Matthieu Gautier <matthieu.gautier@opentv.com>
Date:   Mon May 9 15:11:47 2011 +0200

    new update of Scientific_and_Technical.

diff --git a/fedora-release-notes_Scientific_and_Technical_fr.po b/fedora-release-notes_Scientific_and_Technical_fr.po
index 2896b3e..f327ab5 100644
--- a/fedora-release-notes_Scientific_and_Technical_fr.po
+++ b/fedora-release-notes_Scientific_and_Technical_fr.po
@@ -5,7 +5,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: Fedora Release Notes\n"
 "POT-Creation-Date: 2011-05-04T00:16:12\n"
-"PO-Revision-Date: 2011-05-04 14:43+0200\n"
+"PO-Revision-Date: 2011-05-09 15:10+0200\n"
 "Last-Translator: Matthieu Gautier <mgautier@fedoraproject.org>\n"
 "Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
@@ -31,9 +31,8 @@ msgid ""
 "for more complete details."
 msgstr ""
 "Fedora continue d'ajouter à ensemble de paquets scientifique et technique avec un ensemble de nouvelles offres pour Fedora 15. "
-"En addition des nouveaux paquets présentés ici, de nombreux paquets ont été mis à jour. "
-"Se référer aux notes techniques <ulink url=\"http://docs.fedoraproject.org\">http://docs.fedoraproject.org</ulink> pour plus de "
-"détails."
+"En addition des nouveaux paquets présentés ici, de nombreux paquets ont été mis à jour. Se référer aux notes techniques <ulink "
+"url=\"http://docs.fedoraproject.org\">http://docs.fedoraproject.org</ulink> pour plus de détails."
 
 #. Tag: title
 #, no-c-format
@@ -57,7 +56,7 @@ msgid ""
 "common genomics tasks such as finding feature overlaps and computing "
 "coverage. BEDtools is new to Fedora."
 msgstr ""
-"<package>BEDTools</package> est un ensemble d'outils qui couvrent des actions génétiques courantes telles que trouver des "
+"<package>BEDTools</package> est un ensemble d'outils qui couvre des actions génétiques courantes telles que trouver des "
 "recouvrement ou calculer des couverture. BDEtools est un nouveau paquet ajouté à Fedora."
 
 #. Tag: title
@@ -102,8 +101,8 @@ msgid ""
 "packages to address specific needs. Fedora 15 brings a few new add-on "
 "packages to R."
 msgstr ""
-"<package>R</package> est un paquet populaire des statistique avec de nombreux paquets additionnels pour des besoins spécifique. "
-"Fedora 15 apporte de nouveaux paquets addtionels pour R."
+"<package>R</package> est un paquet populaire de statistiques avec de nombreux paquets additionnels pour des besoins spécifique. "
+"Fedora 15 apporte de nouveaux paquets additionels pour R."
 
 #. Tag: para
 #, no-c-format
@@ -112,8 +111,8 @@ msgid ""
 "storing genomic intervals as well as more specialized containers for storing"
 " alignments against a reference genome."
 msgstr ""
-"<package>R-GenomicRanges</package> fournit des conteneurs generiques pour "
-"stocker des intervals génomiques ainsi que des conteneurs plus spécialisés pour stocker "
+"<package>R-GenomicRanges</package> fournit des conteneurs génériques pour "
+"stocker des intervalles génomiques ainsi que des conteneurs plus spécialisés pour stocker "
 "des alignement par rapport à un génome de référence."
 
 #. Tag: para
@@ -136,8 +135,7 @@ msgid ""
 "<package>R-ROC</package> package provides a set of utilities for ROC."
 msgstr ""
 "<package>R-ROC</package> -La bibliothèque ROC est une collection de classes R et de fonctions relatives aux courbes « receiver "
-"operating characteristic (ROC) ». "
-"Ces fonctions sont prévues pour l'utilisation de l'analyse ROC avec des microtables DNA. Le paquet "
+"operating characteristic (ROC) ». Ces fonctions sont prévues pour l'utilisation de l'analyse ROC avec des microtables DNA. Le paquet "
 "<package>R-ROC</package> fournit un ensemble d'outils pour ROC."
 
 #. Tag: para
@@ -156,8 +154,8 @@ msgid ""
 " datasets are somewhat larger than the examples included in the affy "
 "package, and are intended to better represent \"real-world\" datasets."
 msgstr ""
-"<package>R-affydata</package> est un ensemble d'exemple de données affymetrix. Ces données sont plus fournies que les exemples "
-"inclus dans le paquet affy et sont sensées représenter des données du « monde reel »."
+"<package>R-affydata</package> est un ensemble d'exemples de données affymetrix. Ces données sont plus fournies que les exemples "
+"inclus dans le paquet affy et sont sensées représenter des données du « monde réel »."
 
 #. Tag: para
 #, no-c-format
@@ -229,8 +227,8 @@ msgid ""
 "files suitable for use with"
 msgstr ""
 "<package>ape</package> (Atomic Pseudopotential Engine) est un outil pour "
-"la génération de pseudopotentiels atomiques à l'interieur d'un framework sur la théorie des densité"
-"de fonctions. Il est dictribué sous la licence GPL et produit des fichiers de pseudopotentiels "
+"la génération de pseudopotentiels atomiques à l'intérieur d'un framework sur la théorie des densité"
+"de fonctions. Il est distribué sous la licence GPL et produit des fichiers de pseudopotentiels "
 "utilisables avec "
 
 #. Tag: para
@@ -291,9 +289,9 @@ msgid ""
 "<emphasis>coot</emphasis> 0.6.2 is included in Fedora 15."
 msgstr ""
 "<package>coot</package> (Crystallographic Object-Oriented Toolkit) est un ensemble "
-"d'outils la construction de modèle marcomoléculaire, la complétion et la validation de modèle,"
-" particulairement adapté à la modélisation de proteine utilisant des données « rayon X »"
-"<emphasis>coot</emphasis> 0.6.2 est inclu dans Fedora 15."
+"d'outils la construction de modèle macromoléculaire, la complétion et la validation de modèle,"
+" particulièrement adapté à la modélisation de protéine utilisant des données « rayon X »"
+"<emphasis>coot</emphasis> 0.6.2 est inclus dans Fedora 15."
 
 #. Tag: para
 #, no-c-format
@@ -336,9 +334,8 @@ msgstr ""
 "<package>cp2k</package> est un programme pour effectuer des simulations "
 "atomistique et moléculaires de systèmes d'états solides, liquides, moléculaires et biologiques. "
 "Il fournit un framework générique pour différentes méthodes tel que la théorie "
-"des fonctions de densité (DFT) utilisant une aproche mixe de vagues gaussiennes et planes "
-"(GPW) et des potentiels multi-corps et paires classiques."
-
+"des fonctions de densité (DFT) utilisant une approche mixe de vagues gaussiennes et planes "
+"(GPW) et des potentiels multicorps et paires classiques."
 
 #. Tag: para
 #, no-c-format
@@ -374,7 +371,7 @@ msgid ""
 "installer.de/shapes/optics/index_en.html</ulink>"
 msgstr ""
 "<package>dia-optics</package> est un ensemble de symboles pour le populaire "
-outil de dessin "<emphasis>dia</emphasis>. Les formes incluses peuvent être vu sur la page "
+"outil de dessin \"<emphasis>dia</emphasis>. Les formes incluses peuvent être vu sur la page "
 "<ulink url=\"http://dia-installer.de/shapes/optics/index_en.html\">"
 "http://dia-installer.de/shapes/optics/index_en.html</ulink>"
 
@@ -397,11 +394,9 @@ msgid ""
 "url=\"http://www.gpsbabel.org/\">http://www.gpsbabel.org/</ulink> for "
 "additional information."
 msgstr ""
-"<package>gpsbabel</package> est un paquet pour manipuler des données GPS d'une "
-"grande variétés d'appareils. Fedora 15 comprends maintenant une interface graphique "
-"pour ces données. Se référer à <ulink "
-"url=\"http://www.gpsbabel.org/\">http://www.gpsbabel.org/</ulink> pour "
-"plus d'informations."
+"<package>gpsbabel</package> est un paquet pour manipuler des données GPS d'une grande variétés d'appareils. Fedora 15 comprends "
+"maintenant une interface graphique pour ces données. Se référer à <ulink url=\"http://www.gpsbabel.org/\">http://www.gpsbabel.org/<"
+"/ulink> pour plus d'informations."
 
 #. Tag: title
 #, no-c-format
@@ -442,11 +437,9 @@ msgid ""
 "features may be found at <ulink "
 "url=\"http://gretl.sourceforge.net/\">http://gretl.sourceforge.net/</ulink>"
 msgstr ""
-"<package>gretl</package> est un logiciel cross-platform pour "
-"des analyses econometrique. Il inclut des liens pour <package>R</package>, "
-"<package>octave</package> et ox pour des analyses plus détaillées. Une liste complête des "
-"fonctionnalités peut être trouvée sur <ulink "
-"url=\"http://gretl.sourceforge.net/\">http://gretl.sourceforge.net/</ulink>"
+"<package>gretl</package> est un logiciel cross-platform pour des analyses econometrique. Il inclut des liens pour <package>R<"
+"/package>, <package>octave</package> et ox pour des analyses plus détaillées. Une liste complête des "
+"fonctionnalités peut être trouvée sur <ulink url=\"http://gretl.sourceforge.net/\">http://gretl.sourceforge.net/</ulink>"
 
 #. Tag: title
 #, no-c-format
@@ -473,12 +466,10 @@ msgid ""
 "<ulink "
 "url=\"http://www.tddft.org/programs/octopus/wiki/index.php/Libxc\">http://www.tddft.org/programs/octopus/wiki/index.php/Libxc</ulink>"
 msgstr ""
-"<package>libxc</package> est une bibliothèque de fonctions d'échange/correlation "
-"pour la théorie des densités de fonctions. Le but est de fournir un ensemble de "
-"fonctions d'échange et de corrélation portables et bien testées."
-"Cette ensemble peut être utilisé par tout les codes, tel que les code ETSF. "
-"Le projet tient un wiki <ulink "
-"url=\"http://www.tddft.org/programs/octopus/wiki/index.php/Libxc\">http://www.tddft.org/programs/octopus/wiki/index.php/Libxc</ulink>"
+"<package>libxc</package> est une bibliothèque de fonctions d'échange/corrélation pour la théorie des densités de fonctions. Le but "
+"est de fournir un ensemble de fonctions d'échange et de corrélation portables et bien testées. Cette ensemble peut être utilisé par "
+"tout les codes, tel que les code ETSF. Le projet tient un wiki <ulink url=\"http://www.tddft.org/programs/octopus/wiki/index."
+"php/Libxc\">http://www.tddft.org/programs/octopus/wiki/index.php/Libxc</ulink>"
 
 #. Tag: title
 #, no-c-format
@@ -506,7 +497,7 @@ msgid ""
 "<package>ltl2ba</package> provides fast translation from LTL formulae to "
 "Büchi automata. Fedora 15 includes version 1.1."
 msgstr ""
-"<package>ltl2ba</package> forunit une traduction rapide des formules LTL vers "
+"<package>ltl2ba</package> fournit une traduction rapide des formules LTL vers "
 "les automates Büchi. Fedora 15 contient la version 1.1 de <package>ltl2ba</package>."
 
 #. Tag: title
@@ -527,7 +518,7 @@ msgid ""
 "geometrical constraints."
 msgstr ""
 "<package>openeuclide</package> est un nouveau paquet dans Fedora 15. OpenEuclide est un"
-" programme de géometries 2D: les figures sont définies dynamiquement en définissant des contraintes géométriques."
+" programme de géométries 2D: les figures sont définies dynamiquement en définissant des contraintes géométriques."
 
 #. Tag: title
 #, no-c-format
@@ -557,7 +548,7 @@ msgstr "<primary>Contrôle de processus</primary>"
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>Data Acquisition</primary>"
-msgstr "<primary>Aquisition de données</primary>"
+msgstr "<primary>Acquisition de données</primary>"
 
 #. Tag: indexterm
 #, no-c-format
@@ -572,7 +563,7 @@ msgstr "<primary>ODBC</primary>"
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>Postgresql</primary>"
-msgstr "<primary>Postgresql</primary>"	
+msgstr "<primary>Postgresql</primary>"
 
 #. Tag: para
 #, no-c-format
@@ -605,14 +596,14 @@ msgid ""
 msgstr ""
 "Fedora 15 contient la version 0.7.0 (stable) avec les implémentations des "
 "modules de bases de données ODBC et postgresSQL, le module de transport"
-" de la BDD ainsi que le nouveau mechanisme/module de test du système OpenSCADA. "
+" de la BDD ainsi que le nouveau mecanisme/module de test du système OpenSCADA. "
 "De nombreuses erreurs ont été trouvées et corrigées dans le but d'améliorer "
 "les optimisations, la stabilité, la viabilité et les performance du système. "
 "Des améliorations ont été faites dans la zone de contrôle visuelle (VCA) "
-"et ses visualisateurs. Des changements ont aussi été fait dans les modules "
-"du moteur VCA (<application>UI.VCAEngine</application>) : les visualisateurs "
+"et ses visualiseurs. Des changements ont aussi été fait dans les modules "
+"du moteur VCA (<application>UI.VCAEngine</application>) : les visualiseurs "
 "<application>UI.Vision</application> et <application>UI.WebVision</application>. "
-"Ces modules ont été stabilisés, leur consomation mémoire optimisée et les propriétés "
+"Ces modules ont été stabilisés, leur consommation mémoire optimisée et les propriétés "
 "utilisateurs de VCA améliorées. Une nouvelle API objet de programmation utilisateur "
 "a été créée qui fournit l'intégration des fonctions utilisateurs dans l'arbre "
 "d'objets de OpenSCADA. De plus, de nombreux changements dans la bibliothèque de "
@@ -644,7 +635,7 @@ msgid ""
 "website at <ulink "
 "url=\"http://plotdrop.sourceforge.net/\">http://plotdrop.sourceforge.net/</ulink>"
 msgstr ""
-"<package>plotdrop</package> est une interface graphique pour GNU plot. Les 
+"<package>plotdrop</package> est une interface graphique pour GNU plot. Les"
 "fichiers de données sont ajoutés à plotdrop simplement en les glissant à "
 "partir de nautilus. Le projet maintient un site web : <ulink "
 "url=\"http://plotdrop.sourceforge.net/\">http://plotdrop.sourceforge.net/</ulink>"
@@ -694,7 +685,7 @@ msgid ""
 msgstr ""
 "PSFEx (“PSF Extractor”) extrait des modèles de fonctions de répartition de points (PSF) "
 "à partir d'images FITS analysées par SExtractor et mesure la qualité des images. "
-" Les modèles PSF générés peuvent être utilisé de la photométrie de justaposition de modèles ou"
+" Les modèles PSF générés peuvent être utilisé de la photométrie de juxtaposition de modèles ou"
 " des analyses morphologiques."
 
 #. Tag: para
@@ -728,7 +719,7 @@ msgid ""
 "Fedora 15 includes several new add-ons for root:"
 msgstr ""
 "<package>root</package> est un paquet pour analyser de larges quantités de données. "
-"Fedora 15 comprends plusieus nouveaux modules complémentaires pour root:"
+"Fedora 15 comprends plusieurs nouveaux modules complémentaires pour root:"
 
 #. Tag: para
 #, no-c-format
@@ -764,3 +755,4 @@ msgstr ""
 "Site du projet: <ulink "
 "url=\"http://root.cern.ch/\">http://root.cern.ch/</ulink>"
 
+