--- Xorg.0.log-no_keyboard	2010-08-19 19:34:06.000000000 +0100
+++ Xorg.0.log-working_keyboard	2010-08-19 19:34:15.000000000 +0100
@@ -13,7 +13,7 @@
 [nnnnnn.nnn] Markers: (--) probed, (**) from config file, (==) default setting,
 	(++) from command line, (!!) notice, (II) informational,
 	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
-[nnnnnn.nnn] (==) Log file: "/var/log/Xorg.0.log", Time: Thu Aug 19 19:21:53 2010
+[nnnnnn.nnn] (==) Log file: "/var/log/Xorg.0.log", Time: Thu Aug 19 19:25:03 2010
 [nnnnnn.nnn] (==) Using config file: "/etc/X11/xorg.conf"
 [nnnnnn.nnn] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
 [nnnnnn.nnn] (==) ServerLayout "Default Layout"
@@ -21,28 +21,16 @@
 [nnnnnn.nnn] (**) |   |-->Monitor "LG Flatron L1715S"
 [nnnnnn.nnn] (**) |   |-->Device "Videocard0"
 [nnnnnn.nnn] (**) |-->Input Device "Keyboard0"
-[nnnnnn.nnn] (==) Automatically adding devices
+[nnnnnn.nnn] (**) Option "AutoAddDevices" "off"
+[nnnnnn.nnn] (**) Not automatically adding devices
 [nnnnnn.nnn] (==) Automatically enabling devices
 [nnnnnn.nnn] (==) FontPath set to:
 	catalogue:/etc/X11/fontpath.d,
 	built-ins
 [nnnnnn.nnn] (==) ModulePath set to "/usr/lib/xorg/modules"
-[nnnnnn.nnn] (II) The server relies on udev to provide the list of input devices.
-	If no devices become available, reconfigure udev or disable AutoAddDevices.
-[nnnnnn.nnn] (II) 
-***************************************************************
-***************************************************************
-** Fedora switched to udev-based device detection with       **
-** xorg-x11-server-1.7.99.901-1. Custom HAL configuration    **
-** stored in /etc/hal/fdi/policy will not be seen by this    **
-** server version. If you have such configuration you will   **
-** need to update it to the new format.                      **
-** For more information, see the Fedora wiki page            **
-** https://fedoraproject.org/wiki/Input_device_configuration **
-***************************************************************
-***************************************************************
-[nnnnnn.nnn] (WW) AllowEmptyInput is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
-[nnnnnn.nnn] (WW) Disabling Keyboard0
+[nnnnnn.nnn] (==) |-->Input Device "<default pointer>"
+[nnnnnn.nnn] (==) The core pointer device wasn't specified explicitly in the layout.
+	Using the default mouse configuration.
 [nnnnnn.nnn] (II) Loader magic: 0x8222100
 [nnnnnn.nnn] (II) Module ABI versions:
 [nnnnnn.nnn] 	X.Org ANSI C Emulation: 0.4
@@ -103,6 +91,18 @@
 [nnnnnn.nnn] 	compiled for 1.7.99.901, module version = 6.13.0
 [nnnnnn.nnn] 	Module class: X.Org Video Driver
 [nnnnnn.nnn] 	ABI class: X.Org Video Driver, version 7.0
+[nnnnnn.nnn] (II) LoadModule: "kbd"
+[nnnnnn.nnn] (II) Loading /usr/lib/xorg/modules/input/kbd_drv.so
+[nnnnnn.nnn] (II) Module kbd: vendor="X.Org Foundation"
+[nnnnnn.nnn] 	compiled for 1.7.99.3, module version = 1.4.0
+[nnnnnn.nnn] 	Module class: X.Org XInput Driver
+[nnnnnn.nnn] 	ABI class: X.Org XInput driver, version 9.0
+[nnnnnn.nnn] (II) LoadModule: "mouse"
+[nnnnnn.nnn] (II) Loading /usr/lib/xorg/modules/input/mouse_drv.so
+[nnnnnn.nnn] (II) Module mouse: vendor="X.Org Foundation"
+[nnnnnn.nnn] 	compiled for 1.7.99.3, module version = 1.5.0
+[nnnnnn.nnn] 	Module class: X.Org XInput Driver
+[nnnnnn.nnn] 	ABI class: X.Org XInput driver, version 9.0
 [nnnnnn.nnn] (II) RADEON: Driver for ATI Radeon chipsets:
 	ATI Radeon Mobility X600 (M24) 3150 (PCIE), ATI FireMV 2400 (PCI),
 	ATI Radeon Mobility X300 (M24) 3152 (PCIE),
@@ -470,6 +470,36 @@
 [nnnnnn.nnn] (II) AIGLX: Loaded and initialized /usr/lib/dri/swrast_dri.so
 [nnnnnn.nnn] (II) GLX: Initialized DRISWRAST GL provider for screen 0
 [nnnnnn.nnn] (II) RADEON(0): Setting screen physical size to 338 x 270
+[nnnnnn.nnn] (**) Option "CoreKeyboard"
+[nnnnnn.nnn] (**) Keyboard0: always reports core events
+[nnnnnn.nnn] (**) Option "Protocol" "standard"
+[nnnnnn.nnn] (**) Keyboard0: Protocol: standard
+[nnnnnn.nnn] (**) Option "XkbRules" "base"
+[nnnnnn.nnn] (**) Keyboard0: XkbRules: "base"
+[nnnnnn.nnn] (**) Option "XkbModel" "pc105"
+[nnnnnn.nnn] (**) Keyboard0: XkbModel: "pc105"
+[nnnnnn.nnn] (**) Option "XkbLayout" "gb"
+[nnnnnn.nnn] (**) Keyboard0: XkbLayout: "gb"
+[nnnnnn.nnn] (**) Option "CustomKeycodes" "off"
+[nnnnnn.nnn] (**) Keyboard0: CustomKeycodes disabled
+[nnnnnn.nnn] (II) XINPUT: Adding extended input device "Keyboard0" (type: KEYBOARD)
+[nnnnnn.nnn] (WW) <default pointer>: No Device specified, looking for one...
+[nnnnnn.nnn] (II) <default pointer>: Setting Device option to "/dev/input/mice"
+[nnnnnn.nnn] (--) <default pointer>: Device: "/dev/input/mice"
+[nnnnnn.nnn] (==) <default pointer>: Protocol: "Auto"
+[nnnnnn.nnn] (**) Option "CorePointer"
+[nnnnnn.nnn] (**) <default pointer>: always reports core events
+[nnnnnn.nnn] (==) <default pointer>: Emulate3Buttons, Emulate3Timeout: 50
+[nnnnnn.nnn] (**) <default pointer>: ZAxisMapping: buttons 4 and 5
+[nnnnnn.nnn] (**) <default pointer>: Buttons: 9
+[nnnnnn.nnn] (**) <default pointer>: Sensitivity: 1
+[nnnnnn.nnn] (II) XINPUT: Adding extended input device "<default pointer>" (type: MOUSE)
+[nnnnnn.nnn] (**) <default pointer>: (accel) keeping acceleration scheme 1
+[nnnnnn.nnn] (**) <default pointer>: (accel) acceleration profile 0
+[nnnnnn.nnn] (**) <default pointer>: (accel) acceleration factor: 2.000
+[nnnnnn.nnn] (**) <default pointer>: (accel) acceleration threshold: 4
+[nnnnnn.nnn] (II) <default pointer>: Setting mouse protocol to "ExplorerPS/2"
+[nnnnnn.nnn] (II) <default pointer>: ps2EnableDataReporting: succeeded
 [nnnnnn.nnn] (II) RADEON(0): EDID for output VGA-0
 [nnnnnn.nnn] (II) RADEON(0): Manufacturer: GSM  Model: 436f  Serial#: 135583
 [nnnnnn.nnn] (II) RADEON(0): Year: 2005  Week: 1
@@ -840,3 +870,5 @@
 [nnnnnn.nnn] (II) RADEON(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
 [nnnnnn.nnn] (II) RADEON(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
 [nnnnnn.nnn] (II) RADEON(0): EDID for output DVI-0
+[nnnnnn.nnn] (II) UnloadModule: "kbd"
+[nnnnnn.nnn] (II) UnloadModule: "mouse"